## lxqt-config 2.3.0

=== debian/changelog ===
lxqt-config (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0.
  * d/control: Update Build-Depends.
  * d/install: Add new *.desktop files.
  * d/control: Bump Standards-Version to 4.7.3:
    * Remove unnecessary Priority, Rules-Requires-Root.
  * d/watch: Upgrade to version 5.
  * d/copyright: Update copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 01 Jan 2026 13:50:36 +0800
