=== debian/control ===
Source: lxqt-config
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Macy Lin <macy@debconf.org>
Section: x11
Build-Depends: debhelper-compat (= 13),
               libkf6windowsystem-dev,
               libkscreen-dev,
               liblayershellqtinterface-dev (>= 6.0.0~),
               liblxqt-dev (>= 2.3.0~),
               libxcb-randr0-dev,
               libxcursor-dev,
               libxi-dev,
               lxqt-menu-data (>= 2.3.0~),
               lxqt-build-tools (>= 2.3.0~),
               qt6-base-private-dev,
               qt6-tools-dev,
               qttools5-dev,
               xserver-xorg-input-libinput-dev,
               zlib1g-dev
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-config
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-config.git
Homepage: https://github.com/lxqt/lxqt-config

Package: lxqt-config
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: galternatives,
            lxqt-config-l10n,
            lxqt-policykit,
            lxqt-powermanagement,
            lxqt-qtplugin,
            lxqt-session,
            system-config-printer,
            xsettingsd
Suggests: adwaita-qt,
          faenza-icon-theme,
          gnome-themes-extra,
          gparted | partitionmanager [linux-any],
          lxappearance,
          lxqt | lxqt-core,
          nm-connection-editor,
          nm-tray [linux-any] | cmst [linux-any] | network-manager-applet [linux-any],
          obconf-qt,
          synaptic
Description: LXQt system settings center
 The LXQt system settings center which summarizes all configuration tools as
 well as counterparts of other LXQt components or third-party applications.
 .
 This package contain the LXQt configuration ui.

Package: lxqt-config-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-config
 The LXQt system settings center which summarizes all configuration tools as
 well as counterparts of other LXQt components or third-party applications.
 .
 This package contains the l10n files needed by the lxqt-config.
