=== debian/changelog ===
lxqt-config (2.3.1-0ubuntu1) resolute; urgency=medium

  * New upstream release.
    - Update build dependencies.
    - Add lxqt-config-monitor-autostart.desktop and
      lxqt-config-touchpad-autostart.desktop to lxqt-config main package.
  * Update copyright file.
  * Update Standards-Version to 4.7.3, no changes needed.
  * Remove unnecessary Rules-Requires-Root.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 19 Feb 2026 18:31:04 -0500

lxqt-config (2.2.0-0ubuntu1) questing; urgency=medium

  * New upstream release.
    - Update build dependencies.
  * Update copyright file.
  * Update Standards-Version to 4.7.2, no changes needed.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 31 Jul 2025 16:19:33 -0500

lxqt-config (2.1.1-0ubuntu4) plucky; urgency=medium

  * Update Standards-Version to 4.7.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 16:48:27 -0600

lxqt-config (2.1.1-0ubuntu3) plucky; urgency=medium

  * Recommend iso-flags-svg to utilize the new flags feature in the locale
    menu.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Feb 2025 00:37:37 -0600

lxqt-config (2.1.1-0ubuntu2) plucky; urgency=medium

  * Fix manpage installation.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 08 Feb 2025 01:28:05 -0600

lxqt-config (2.1.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 07 Feb 2025 14:34:41 -0600

lxqt-config (2.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:32:32 -0600
